#!/bin/sh

echo "TOTALSTEPS: 3"
echo "SETSTEPS: 1"

cd "${PATCHDIR}"
chown -R root:wheel *

echo "MSG: Updating backend..."

cd pc-updatemanager
make install

echo "SETSTEPS: 3"

# Check if we need to reset the default mirror
cat /usr/local/etc/pcbsd.conf | grep -q ftp.pcbsd.org 
if [ $? -eq 0 ]; then
  (/usr/local/share/pcbsd/scripts/fastest-mirror.sh set) &
fi

exit 0
